import { Component } from '@angular/core';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
})
export class Tab1Page {
  segmentModel = 'follow';
  selectedTab = 'home';

  constructor() {}

  search() {
    // Implement search functionality
  }

  like() {
    // Implement like functionality
  }

  selectTab(tab: string) {
    this.selectedTab = tab;
  }

  addNew() {
    // Implement addNew functionality for FAB button
    console.log('Add new item');
  }
}